<script>
	export let data;

	import services from '$lib/data/services.json';
	import Contact from '$lib/feature/contact.svelte';
	import Portrait from '../../../lib/feature/portrait.svelte';
	import { capitalize } from '../../../lib/utils/string.utils.js';

	const { title, image, content } = services.find((service) => service.id === data.slug);
	const { age, description, prices } = content;

	const imageImports = Object.values(
		import.meta.glob('../../../lib/assets/garde/*.jpg', {
			eager: true,
			as: 'url'
		})
	);
</script>

<svelte:head>
	<title>Audrey Sage - {title}</title>
</svelte:head>
<section>
	<div
		class="background"
		style:background-image="linear-gradient(to right, rgba(0, 0, 0, 1), rgba(0, 0, 0, 0.22)), url({image})"
	>
		<div class="content">
			<h1>{title}</h1>
			{#if age !== undefined}
				<em>A partir de {age}</em>
			{/if}
			<div>
				<div class="description">
					<p>{@html description}</p>
				</div>
				<div class="prices">
					<p>Tarifs :</p>
					<ul>
						{#each prices as price}<li>{price}</li>{/each}
					</ul>
				</div>
			</div>
		</div>
	</div>
</section>
<!-- Changer pour utiliser un id ? -->
{#if title === 'Garde à domicile'}
	<section class="portraits-section">
		<h2>Ils sont restés à la maison :</h2>
		<div class="portraits">
			{#each imageImports as image}
				<Portrait src={image} caption={capitalize(image.split('/').pop().split('.')[0])} />
			{/each}
		</div>
	</section>
{/if}

<section class="contact">
	<Contact />
</section>

<style>
	h1 {
		font-size: 2.5rem;
	}

	h2 {
		font-size: 2rem;
		padding-bottom: 24px;
	}

	section {
		margin: auto;
	}

	.portraits-section {
		padding: 48px;
		padding-top: 48px;
	}

	.portraits {
		gap: 20px;
		display: flex;
		flex-wrap: wrap;
		justify-content: space-around;
	}

	.background {
		width: 100%;
		background-size: cover;
		background-position: left;
	}

	.content {
		padding: 48px;
	}

	.description,
	.prices {
		padding-top: 48px;
	}

	p,
	li,
	em {
		word-break: keep-all;
		font-size: 1.25em;
	}

	:global(ul) {
		margin-top: 24px;
		margin-bottom: 24px;
	}

	:global(li) {
		font-weight: bold;
	}

	@media (min-width: 760px) {
		.contact {
			width: 80%;
		}

		.content {
			margin-left: 10%;
			margin-right: 10%;
		}

		.portraits-section {
			margin-left: 10%;
			margin-right: 10%;
		}

		img {
			visibility: visible;
		}
	}

	@media (min-width: 1200px) {
		.content {
			padding-top: 56px;
			padding-bottom: 56px;
			width: 50%;
		}

		.background {
			display: flex;
			background-repeat: no-repeat;
			background-size: cover;
			background-color: black;
		}
	}
</style>
